## org.apache.commons.math3.analysis.function
Class Pow

    java.lang.Object
      org.apache.commons.math3.analysis.function.Pow

All Implemented Interfaces:
  BivariateFunction

    public class Pow

extends java.lang.Object
implements BivariateFunction

Power function.

Since:
  3.0
Version:
  $Id: Pow.java 1364377 2012-07-22 17:39:16Z tn $

Constructor Summary
`Pow()`

Method Summary
`double` `value(double x, double y)` Compute the value for the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pow

    public Pow()

Method Detail

### value

    public double value(double x,
                        double y)

  Compute the value for the function.

  Specified by:
    `value` in interface `BivariateFunction`
  Parameters:
    `x` - Abscissa for which the function value should be computed.
    `y` - Ordinate for which the function value should be computed.
  Returns:
    the value.

Copyright (c) 2003-2013 Apache Software Foundation